Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455064 - Move the self-signed CA serialno file
Summary: Move the self-signed CA serialno file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 453489
TreeView+ depends on / blocked
 
Reported: 2008-07-11 19:16 UTC by Rob Crittenden
Modified: 2015-01-04 23:33 UTC (History)
3 users (show)

Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
move the serialno file (deleted)
2008-07-24 18:45 UTC, Rob Crittenden
no flags Details | Diff

Description Rob Crittenden 2008-07-11 19:16:52 UTC
Description of problem:

The file /usr/share/ipa/serialno contains the last issued serial number of the
self-signed CA.

Since this file can change at runtime it should instead be in /var/lib/ipa.

This file is not controlled by rpm so we can handle moving it in an rpm %post

Comment 1 Rob Crittenden 2008-07-24 18:45:05 UTC
Created attachment 312586 [details]
move the serialno file

Comment 2 Rob Crittenden 2008-07-25 13:14:07 UTC
master: a19d27717aef5089d35f589be7726e5627d1469b

Comment 3 Jenny Galipeau 2008-11-25 13:44:04 UTC
Fix verified:

[root@jennyv3 /]# ls /var/lib/ipa
ca_serialno  sysrestore

[root@jennyv3 /]# more /var/lib/ipa/ca_serialno 
1003


Note You need to log in before you can comment on or make changes to this bug.